1.0.0OAS 3.1

Provides configuration for rates used by Zinnia calculations

API Base URL
  • Server 1:https://dev.api.zinnia.io

    Development

Security
Auth0 (openIdConnect)

OpenId Connect authentication

Additional Information
Contact Calculation Services Team (LPS) (dale.clements@zinnia.com)

Notification

Handles notifications incoming notifications from other systems

Notify RCS that a new product or product configuration version is available.

Tells the service a new product or product configuration version is available so it can pick it up.

post
https://dev.api.zinnia.io/rate-configuration/v1/notification/new-product-configuration-version

Body

The new carrierId, planCode, and configuration version

NewProductConfigurationVersion

Notification that a new product or product configuration version is available.

* Additional properties are NOT allowed.
carrierIdstringrequired

CarrierId of the planCode that has a new configuration version.

planCodestringrequired

PlanCode that has a new configuration version. If this is a new planCode, latest configuration version tracking will begin for it.

newLatestConfigurationVersionstringrequired

The new latest configuration version for this planCode

Response

The notification was received and successfully processed.

post/rate-configuration/v1/notification/new-product-configuration-version

Body

{ "carrierId": "carrierId", "planCode": "planCode", "newLatestConfigurationVersion": "newLatestConfigurationVersion" }